Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Blog Module /

Discuss the Blog Module.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Error after upgrading from 0.1 to 3.0


Go to End


2 Posts   935 Views

Avatar
Chris7

Community Member, 1 Post

7 May 2010 at 10:57am

Edited: 07/05/2010 11:16am

I installed the 'Latest Release' of 0.1 from http://doc.silverstripe.org/modules:blog but then wanted html in blog posts so upgraded to 3.0. I've refreshed the db & cache and now when I click a blog holder page (in admin) I get a message box with the error "DataObject::getComponent(); Unknown 1-to-1 component 'SideBar' on class 'BlogHolder'" at line 1063 of c:\inetput\wwwroot\asd\sapphire\core\model\dataobject.php".

Any ideas?

Chris

Avatar
socks

Community Member, 191 Posts

5 December 2010 at 5:14pm

Did you ever figure this out? I had the same issue trying to upgrade from 0.2.1 to 0.3.1 (SS 2.3.9).